Skip to content

getWarehouseTransferLine

READ

Get warehouse transfer line.

POST /api/v1/inventory/getWarehouseTransferLine
curl -X POST '<your-host>/api/v1/inventory/getWarehouseTransferLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "transferId": "string",
    "lineId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "fromLocationId": "string",
  "fromStorageUnitId": "string",
  "id": "string",
  "itemId": "string",
  "notes": "string",
  "quantity": 0,
  "receivedQuantity": 0,
  "shippedQuantity": 0,
  "toLocationId": "string",
  "toStorageUnitId": "string",
  "transferId": "string",
  "unitOfMeasureCode": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "warehouseTransfer": {
    "companyId": "string",
    "createdAt": "string",
    "createdBy": "string",
    "customFields": "…",
    "expectedReceiptDate": "string",
    "fromLocationId": "string",
    "id": "string",
    "notes": "string",
    "reference": "string",
    "status": "Completed",
    "tags": [
      "string"
    ],
    "toLocationId": "string",
    "transferDate": "string",
    "transferId": "string",
    "updatedAt": "string",
    "updatedBy": "string",
    "fromLocation": {
      "name": "string"
    },
    "toLocation": {
      "name": "string"
    }
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "transferId": {
      "type": "string"
    },
    "lineId": {
      "type": "string"
    }
  },
  "required": [
    "transferId",
    "lineId"
  ]
}